#include <bits/stdc++.h>
#define pb push_back
#define ll long long int
#define pi pair<int, int>
#define all(x) x.begin(), x.end()

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    ll t, n, k;
    cin>>t>>n>>k;
    vector<ll> a(n);
    bool tc1=true;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]!=a[0])
        {
            tc1=false;
        }
    }
    if(tc1)
    {
        if(a[0]!=k) cout<<"NE\n";
        else
        {
            cout<<"DA\n";
            if(t==1) for(int i=0; i<n; i++) cout<<a[i]<<" ";
        }
    }

}